%ifndef __KERNEL32_INC
%define __KERNEL32_INC

%include "macros.inc"

__stdcall_dllimport	GetModuleHandleA, 1

__stdcall_dllimport	lstrcpynA, 3
__stdcall_dllimport	lstrlenA, 1
__stdcall_dllimport	lstrcpyA, 2

__stdcall_dllimport	VirtualAlloc, 4
__stdcall_dllimport	LocalFree, 1
__stdcall_dllimport	GlobalAlloc, 2
__stdcall_dllimport	VirtualFree, 3

__stdcall_dllimport	GetLastError, 0
__stdcall_dllimport	SetLastError, 1
__stdcall_dllimport	FormatMessageA, 7

__stdcall_dllimport	CreateProcessA, 10
__stdcall_dllimport	WaitForSingleObject, 2
__stdcall_dllimport	SetUnhandledExceptionFilter, 1

__stdcall_dllimport	GetStdHandle, 1
__stdcall_dllimport	WriteConsoleA, 5
__stdcall_dllimport	SetConsoleTextAttribute, 2
__stdcall_dllimport	ReadConsoleA, 5
__stdcall_dllimport	SetConsoleMode, 2

__stdcall_dllimport	CreateFileA, 7
__stdcall_dllimport	CloseHandle, 1
__stdcall_dllimport	GetFileSize, 2
__stdcall_dllimport	SetFilePointer, 4
__stdcall_dllimport	ReadFile, 5
__stdcall_dllimport	CopyFileA, 3
__stdcall_dllimport	WriteFile, 5

__stdcall_dllimport	ExitProcess, 1
__stdcall_dllimport	Sleep, 1

__stdcall_dllimport	CreateThread, 6
__stdcall_dllimport	PostThreadMessageA, 4

__stdcall_dllimport	GetPrivateProfileIntA, 4
__stdcall_dllimport	WritePrivateProfileStringA, 4

%endif; __KERNEL32_INC